%define libname libkarchiver
%define lib_major 2

Summary:		A KDE archive management
Name:			karchiver
Version:		2.0.5
Release:	 	3mdk
License: 		GPL
Group: 			Archiving/Compression

Source:			%{name}-%{version}.tar.bz2
Source1:		karchiver-karchiverservicemenu.desktop

URL:			http://perso.wanadoo.fr/coquelle/karchiver/
Buildroot: 		%{_tmppath}/%{name}-buildroot
Obsoletes:		karchiveur
Provides:		karchiveur
BuildRequires:  readline-devel pam-devel popt-devel libtermcap2-devel
BuildRequires:  zlib1-devel XFree86-devel Mesa-common-devel
BuildRequires:  XFree86-static-libs libqt2-devel gettext
BuildRequires:  kdelibs-devel libbzip2-devel
BuildRequires:  libjpeg62-devel libmng1-devel libpng3-devel libqt2-devel

%description
This KDE application allows you reading, extracting, converting and modifying
.tar, .bz2, .gz, .zip... archives, just with a mouse!

Now uses wizards to compile and install softwares...

It can also split them to fit in floppies


%package -n %{libname}%{lib_major}
Group:		System/Libraries
Summary:	Shared library requires by Karchiver

%description -n %{libname}%{lib_major}
This package contains the shared library part of the KDE archiving program
karchiver.


%prep


%setup -q


%build
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --with-install-root=$RPM_BUILD_ROOT \
  	          --disable-rpath \
	          --disable-debug 
%make KDEDIR=$KDEDIR



%install
rm -rf %buildroot

%makeinstall

# David - 2.0.5-3mdk - Use a non broken .desktop
install -m 0644 %SOURCE1 %buildroot/%_datadir/apps/konqueror/servicemenus/karchiverservicemenu.desktop

install -d -m 0755 %buildroot/%_menudir/
cat > %buildroot/%_menudir/%name <<EOF
?package(%{name}): \
command="/usr/bin/karchiver" \
title="Karchiver" \
icon="%{name}.png" \
longtitle="Managing archive files" \
needs="x11" \
section="Applications/Archiving/Compression"
EOF

# Icons
cd %buildroot
mkdir -p ./%{_liconsdir} ./%{_iconsdir} ./%{_miconsdir}
ln ./%{_datadir}/icons/hicolor/48x48/apps/karchiver.png ./%{_liconsdir}
ln ./%{_datadir}/icons/hicolor/32x32/apps/karchiver.png ./%{_iconsdir}
ln ./%{_datadir}/icons/locolor/16x16/apps/karchiver.png ./%{_miconsdir}



%post 
%{update_menus}
 
%postun
%{clean_menus}

%post -n %{libname}%{lib_major} -p /sbin/ldconfig

%postun -n %{libname}%{lib_major} -p /sbin/ldconfig



%clean
rm -rf $RPM_BUILD_ROOT



%files
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%_bindir/*
%_libdir/*.la
#
#%_datadir/icons/hicolor/22x22/actions/*.png
#%_datadir/icons/hicolor/32x32/actions/*.png
%_datadir/icons/hicolor/32x32/apps/*.png
%_datadir/icons/hicolor/32x32/mimetypes/*.png
#
%_datadir/icons/hicolor/48x48/apps/*.png
#
#%_datadir/icons/locolor/16x16/actions/*.png
%_datadir/icons/locolor/16x16/apps/*.png 
%_datadir/icons/locolor/16x16/mimetypes/*.png    
#
%_datadir/icons/locolor/22x22/mimetypes/*.png
#
%_datadir/icons/locolor/32x32/apps/*.png
#
%_datadir/applnk/Utilities/karchiver.desktop
#
%dir %_datadir/apps/karchiver/
%dir %_datadir/apps/karchiver/pics
%_datadir/apps/karchiver/tip.database
%_datadir/apps/karchiver/*.rc
%_datadir/apps/karchiver/pics/*.png
#
%dir %_datadir/apps/karchiver/icons
%dir %_datadir/apps/karchiver/icons/hicolor/
%dir %_datadir/apps/karchiver/icons/hicolor/16x16/
%dir %_datadir/apps/karchiver/icons/hicolor/16x16/actions/
%_datadir/apps/karchiver/icons/hicolor/16x16/actions/*.png
#
%dir %_datadir/apps/karchiver/icons/hicolor/22x22/
%dir %_datadir/apps/karchiver/icons/hicolor/22x22/actions/
%_datadir/apps/karchiver/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/karchiver/icons/hicolor/32x32/
%dir %_datadir/apps/karchiver/icons/hicolor/32x32/actions/
%_datadir/apps/karchiver/icons/hicolor/32x32/actions/*.png
#
%dir %_datadir/apps/karchiver/icons/locolor/
%dir %_datadir/apps/karchiver/icons/locolor/16x16/
%dir %_datadir/apps/karchiver/icons/locolor/16x16/actions/
%_datadir/apps/karchiver/icons/locolor/16x16/actions/*.png
#
%dir %_datadir/apps/karchiver/icons/locolor/22x22/
%dir %_datadir/apps/karchiver/icons/locolor/22x22/actions/
%_datadir/apps/karchiver/icons/locolor/22x22/actions/*.png
#
%dir %_datadir/apps/karchiver/icons/locolor/32x32/
%dir %_datadir/apps/karchiver/icons/locolor/32x32/actions/
%_datadir/apps/karchiver/icons/locolor/32x32/actions/*.png
#
%doc %_datadir/doc/HTML/en/karchiver
#
#
%_menudir/*
#
#
%_datadir/apps/konqueror/servicemenus/*.desktop
#
#
%_liconsdir/karchiver.png
%_iconsdir/karchiver.png
%_miconsdir/karchiver.png
#
#
%lang(fr) %_datadir/doc/HTML/fr/karchiver
%lang(it) %_datadir/locale/it/LC_MESSAGES/karchiver.mo



%files -n %{libname}%{lib_major}
%defattr(-,root,root)
%doc COPYING README
%_libdir/libkarchiver.so.*



%changelog
* Tue Mar 12 2002 David BAUDENS <baudens@mandrakesoft.com> 2.0.5-3mdk
- Don't provide a totally broken karchiverservicemenu.desktop

* Sun Dec  2 2001 Gtz Waschk <waschk@linux-mandrake.com> 2.0.5-2mdk
- spec file fixes
- clean up buildrequires
- install icons in the right place
- add URL
- removed all translation files but italian (they are in kde-i18n-*)

* Thu Oct 25 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.5-1mdk
- Update code (2.0.5)

* Sat Oct 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.3-6mdk
- Rebuild against libpng3

* Thu Oct 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.3-5mdk
- fixed by Gtz Waschk <waschk@linux-mandrake.com> :
	- added missing tip database file
	- fixed some rpmlint errors
	- removed translation files, now in kde-i18n-<language>

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.3-4mdk
- Rebuild

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0.3-3mdk
- Move KDE menu entry in %%_datadir/applnk
- Fix BuildRequires fon non %%ix86 architectures
- Rebuild against latest GCC

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.3-2mdk
- Add build requires

* Mon Mar 26 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.3-1mdk
- Update code

* Tue Mar 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.2-5mdk
- Clean spec

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0.2-4mdk
- Rebuild against Qt 2.3.0

* Mon Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-3mdk
- used srpm from Gtz Waschk <waschk@linux-mandrake.com> :
	- added missing files
	- uses %%find_lang macro
	- fixed menu entry
	- split out libkarchiveur2 package

* Mon Jan 22 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0.2-2mdk
- Fix build on PPC

* Fri Jan 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-1mdk
- updated to 2.0.2

* Tue Oct 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.87-1mdk
- updated to 0.87
- build with kde1compat

* Wed May 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.86-1mdk
- v0.86

* Mon Apr 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.85-1mdk
- first spec
